=== debian/changelog ===
crtools (0.2-2ubuntu2) raring; urgency=low

  * Removed conflicting definitions and enums, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 21 Apr 2013 20:56:47 -0400

crtools (0.2-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix FTBFS:
      + Explicitly disable stack protector.
      + Disable -Werror.
    - Enable verbose build logs.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 02 Dec 2012 16:03:56 -0500

crtools (0.2-2) unstable; urgency=low

  * Recommending iproute instead of iproute2 (Closes: #689050).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 07 Oct 2012 11:30:39 +0200

crtools (0.2-1ubuntu1) raring; urgency=low

  * Fix FTBFS:
    - Explicitly disable stack protector.
    - Disable -Werror.
  * Enable verbose build logs.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 05 Nov 2012 11:04:06 +0100

crtools (0.2-1) unstable; urgency=low

  * Merging upstream version 0.2.
  * Updating standards version to 3.9.4.
  * Adding iproute to recommends.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 24 Sep 2012 22:34:24 +0200

crtools (0.1-2) unstable; urgency=low

  * Restricting architectures to linux on amd64 only (Closes: #683416).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 31 Jul 2012 19:56:38 +0200

crtools (0.1-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 25 Jul 2012 21:25:51 +0200
