=== debian/control ===
Source: crtools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9), libprotobuf-c0-dev, protobuf-c-compiler
Standards-Version: 3.9.4
Homepage: http://www.criu.org/

Package: crtools
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iproute
Description: checkpoint and restore in userspace
 crtools contains the utilities to checkpoint and restore processes in
 userspace.

Package: crtools-dbg
Section: debug
Priority: extra
Architecture: amd64
Depends: ${misc:Depends}, crtools (= ${binary:Version})
Description: checkpoint and restore in userspace (debug)
 crtools contains the utilities to checkpoint and restore processes in
 userspace.
 .
 This package contains the debugging symbols.
