=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-all
export DEB_CFLAGS_MAINT_APPEND = -fno-stack-protector

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- WERROR=0 V=1

override_dh_auto_test:
	# disabled: doesn't work yet

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_strip:
	dh_strip --dbg-package=crtools-dbg
