## crtools 0.4

=== debian/changelog ===
crtools (0.4-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:23:54 +0100

crtools (0.4-1) unstable; urgency=low

  * Merging upstream version 0.4.
  * Including upstreams credits file as documentation.
  * Adding asciidoc and xmlto to build-depends.
  * Adding patch to remove non-working echo entries from documentation
    makefile.
  * Building and including crtools manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 13:11:20 +0100

crtools (0.3-1) unstable; urgency=low

  * Merging upstream version 0.3.
  * Updating years in copyright file.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Jan 2013 06:35:54 +0100
