=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: crtools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 9), libprotobuf-c0-dev, protobuf-c-compiler
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Build-Depends:
+ debhelper (>= 9), asciidoc, libprotobuf-c0-dev, protobuf-c-compiler, xmlto
 Standards-Version: 3.9.4
 Homepage: http://www.criu.org/
