=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-all

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build

	$(MAKE) -C Documentation

override_dh_auto_clean:
	dh_auto_clean

	$(MAKE) -C Documentation clean

override_dh_auto_test:
	# disabled: doesn't work yet

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=crtools-dbg
